{{- $title := .Get "title" }}
{{- $id := .Get "id" -}}
{{- $data := index site.Data (.Get "id") }}

{{- .Page.Store.Add "sections" (dict "title" $title "id" $id) -}}

<section id="{{ $id }}" class="keynote">
	<div class="page-header">
		<h2>{{ $title }}</h2>
	</div>

	{{ range $data }}
		<div class="person">
			<h3>
				<a {{ with .url }}href="{{ . }}"{{ end }}><span class="name">{{ .name }}</span></a>

				{{- with .org -}}
					<span class="org"> ({{ . }})</span>
				{{- end -}}
			</h3>

			<div class="description">
				{{- .description | transform.Markdownify -}}
			</div>


			<div class="avatar-box">
				{{ $name := .name }}
				{{- $filter := images.Process "resize 200x q90 webp" -}}
				{{- with $.Page.Resources.Get .img -}}
					{{- with . | images.Filter $filter -}}
						<img
							class="avatar"
							src="{{ .RelPermalink }}"
							alt="{{ $name }}'s photo"
							width="{{ .Width }}"
							height="{{ .Height }}"
							loading="lazy"
						>
					{{- end -}}
				{{- end -}}

				{{ with .presentation }}
					<div class="presentation">
						{{ with .pdf }}
							<a class="pdf icon" target="_blank" href="{{ . }}" title="PDF"></a>
						{{ end }}
						{{ with .video }}
							<a class="video icon" target="_blank" href="{{ . }}" title="Video"></a>
						{{ end }}
					</div>
				{{ end }}
			</div>
		</div>
	{{ end }}
</section>
